echo #ifndef _THALIA_GIT_SHA1_H_>..\..\src\thalia\git_sha1.h
echo #define _THALIA_GIT_SHA1_H_>>..\..\src\thalia\git_sha1.h
echo.>>..\..\src\thalia\git_sha1.h
echo|set /p ="#define GIT_SHA1 ">>..\..\src\thalia\git_sha1.h
set nogit=0000000000000000000000000000000000000000
git rev-parse HEAD>>..\..\src\thalia\git_sha1.h
if %errorlevel% neq 0 (echo %nogit%>>..\..\src\thalia\git_sha1.h)
echo.>>..\..\src\thalia\git_sha1.h
echo #endif // _THALIA_GIT_SHA1_H_>>..\..\src\thalia\git_sha1.h
